Bug 185941 - selinux denials of ntp following resume
selinux denials of ntp following resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 04:05 EST by David Baron
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-03-20 04:05:23 EST
Description of problem:  Shortly after resuming from suspend/resume, I see the
following four selinux denials:

type=AVC msg=audit(1142845427.027:581): avc:  denied  { use } for  pid=28086
comm="ntpdate" name="null" dev=tmpfs ino=1143
scontext=system_u:system_r:ntpd_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=fd
type=AVC msg=audit(1142845427.716:582): avc:  denied  { use } for  pid=28094
comm="ntpd" name="null" dev=tmpfs ino=1143 scontext=system_u:system_r:ntpd_t:s0
tcontext=system_u:system_r:hald_t:s0 tclass=fd
type=AVC msg=audit(1142845427.716:582): avc:  denied  { use } for  pid=28094
comm="ntpd" name="null" dev=tmpfs ino=1143 scontext=system_u:system_r:ntpd_t:s0
tcontext=system_u:system_r:hald_t:s0 tclass=fd
type=AVC msg=audit(1142845427.716:582): avc:  denied  { use } for  pid=28094
comm="ntpd" name="null" dev=tmpfs ino=1143 scontext=system_u:system_r:ntpd_t:s0
tcontext=system_u:system_r:hald_t:s0 tclass=fd

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20050816-11
selinux-policy-2.2.23-15
selinux-policy-targeted-2.2.23-15

How reproducible:  always

Steps to Reproduce:
1. service ntpd start (with something useful in /etc/ntp/step-tickers)
2. suspend
3. resume
4. grep denied /var/log/audit/audit.log
  
Actual results: selinux denials

Expected results: no denials expected in default configuration

Additional info:  I was also seeing this in my audit.log on FC4, on a different
(i386) machine, although I hadn't taken the time to figure out exactly when the
problem occurred.
Comment 2 Daniel Walsh 2006-05-09 11:30:12 EDT
fixed in selinux-policy-2.2.38-1.FC5.
Comment 3 Daniel Walsh 2007-08-22 10:14:26 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.